/* /Layout/LoginDisplay.razor.rz.scp.css */
.nav[b-6umm5skki6] {
    align-items: center;
}

.nav-item[b-6umm5skki6] {
    position: relative;
}

.nav-item[b-6umm5skki6]::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
    display: block;

    width: 2px;
    height: 32px;
    background-color: var(--theme-color-grey--light);
    
}

.nav-item:first-of-type[b-6umm5skki6]::after,
.nav-item:last-of-type[b-6umm5skki6]::after {
    background-color: transparent;
}

.oi[b-6umm5skki6] {
    cursor: pointer;
    font-size: 18px;
}

.new-notifications-indicator[b-6umm5skki6] {
    position: absolute;
    top: 25%;
    right: 25%;
    z-index: 1;
    
    display: block;
    width: 6px;
    height: 6px;
    border-radius: 50%;
    background-color: #ed0202;
}

.login-details[b-6umm5skki6], .user-details[b-6umm5skki6], .role-details[b-6umm5skki6] {
    display: flex;
    flex-direction: column;
    font-size: 0.8rem;
    line-height: 1rem;
}

.user-details[b-6umm5skki6] {
    font-weight: bold;
}

.login-details[b-6umm5skki6] {
    color: var(--theme-color-grey--light);
}

.text-faded[b-6umm5skki6] {
    color: var(--theme-color-grey--light);
}
/* /Layout/MainLayout.razor.rz.scp.css */
.page[b-zb9qmjysbk] {
    height: 100%;
    font-family: var(--bs-font-sans-serif);
}

[b-zb9qmjysbk] .icon {
    -webkit-mask-repeat: no-repeat;
    mask-repeat: no-repeat;
    mask-position: center center;
    -webkit-mask-mask-position: center center;
    width: 1rem;
    height: 1rem;
    background-repeat: no-repeat;
    background-color: var(--dxbl-btn-color);
}

[b-zb9qmjysbk] #menu-top {
    display: block;
}

    [b-zb9qmjysbk] #menu-top.hidden {
        display: none;
    }

[b-zb9qmjysbk] .icon-back {
    -webkit-mask-image: url("images/back.svg");
    mask-image: url("images/back.svg");
}

[b-zb9qmjysbk] .icon-menu {
    -webkit-mask-image: url("images/menu.svg");
    mask-image: url("images/menu.svg");
}

[b-zb9qmjysbk] .content {
    overflow: auto;
    display: flex;
    flex-direction: column;
}

[b-zb9qmjysbk] .menu-button:hover .icon {
    background-color: var(--dxbl-btn-hover-color);
}

.nav-buttons-container[b-zb9qmjysbk] {
    display: flex;
    gap: 10px;
    padding: 1rem 0rem;
}

    .nav-buttons-container[b-zb9qmjysbk]  .menubutton-float-end {
        margin-left: auto;
    }

    .nav-buttons-container[b-zb9qmjysbk]  .dxbl-btn-icon-only {
        --dxbl-btn-padding-x: 0.75rem;
        --dxbl-btn-padding-y: 0.25rem;
    }

@media (max-width: 768px) {
    [b-zb9qmjysbk] .layout-sidebar {
        grid-area: header / header / header / header !important;
    }
}

@media (max-width: 768px) {
    [b-zb9qmjysbk] #menu-top {
        display: none;
    }
}
.gridlayout-item[b-zb9qmjysbk] {
    font-size: 1.2em;
    font-weight: 500;
    text-align: center;
    height: 100%;
    padding: 0.5rem;
    text-align: center;
    position: relative;
    z-index: 0;
    display: flex;
    align-items: center;
    justify-content: center;
}

    .gridlayout-item[b-zb9qmjysbk]:before {
        content: " ";
        position: absolute;
        z-index: -1;
        width: 100%;
        height: 100%;
        left: 0;
        top: 0;
        opacity: 0.4;
    }

.gridlayout-header[b-zb9qmjysbk]:before {
    background-color: var(--bs-red);
}

.gridlayout-content[b-zb9qmjysbk]:before {
    background-color: var(--bs-yellow);
}

.gridlayout-left-side-bar[b-zb9qmjysbk]:before {
    background-color: var(--bs-green);
}

.gridlayout-right-side-bar[b-zb9qmjysbk]:before {
    background-color: var(--bs-info);
}

.gridlayout-footer[b-zb9qmjysbk]:before {
    background-color: var(--bs-blue);
    opacity: 0.5;
}

@media (max-width: 575.98px) {
    .gridlayout-item[b-zb9qmjysbk] {
        font-size: 0.9em;
    }
}
/* /Layout/NavMenu.razor.rz.scp.css */
#sidebar[b-3ncqqrb6ji] {
    min-width: 15rem;
    max-width: 15rem;
    box-shadow: 0px 2px 8px 0px rgba(0, 0, 0, 0.16);
    transition: transform 0.1s ease-out;
    height: 100%;
    max-height: 100%;
    background-image: linear-gradient(180deg, var(--bs-primary) 0%, var(--bs-black) 150%);
    display: block;
}

    #sidebar.auto-expanded[b-3ncqqrb6ji] {
        display: none;
    }

    #sidebar .menu-closeonclick-placeholder[b-3ncqqrb6ji] {
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        display: none;
    }

[b-3ncqqrb6ji] .sidebar-header {
    padding: 2rem 1rem;
}

.logo[b-3ncqqrb6ji] {
    text-align: center;
}

[b-3ncqqrb6ji] .menu-button-container {
    align-self: center;
}

.menu-button[b-3ncqqrb6ji] {
    padding: 0.375rem;
    width: 1rem;
    height: 1rem;
    background-image: url("images/menu.svg");
    background-position: center;
    background-repeat: no-repeat;
    cursor: pointer;
}

[b-3ncqqrb6ji] .menu.display-mobile {
    margin-bottom: 2rem;
}

[b-3ncqqrb6ji] .menu {
    background-color: inherit;
}

    [b-3ncqqrb6ji] .menu .dxbl-menu-item-list {
        gap: 0.5rem;
    }

[b-3ncqqrb6ji] .menu-item {
    color: var(--bs-white);
}

[b-3ncqqrb6ji] .icon {
    width: 1rem;
    height: 1rem;
    background-position: center;
    background-repeat: no-repeat;
    margin-left: 0.5rem;
}

[b-3ncqqrb6ji] .home-icon {
    background-image: url("images/home.svg");
}

[b-3ncqqrb6ji] .weather-icon {
    background-image: url("images/weather.svg");
}

[b-3ncqqrb6ji] .counter-icon {
    background-image: url("images/counter.svg");
}


[b-3ncqqrb6ji] .docs-icon {
    mask-image: url("images/doc.svg");
    -webkit-mask-image: url("images/doc.svg");
    -webkit-mask-repeat: no-repeat;
    mask-repeat: no-repeat;
    background-color: var(--dxbl-btn-color);
}

[b-3ncqqrb6ji] .demos-icon {
    mask-image: url("images/demos.svg");
    -webkit-mask-image: url("images/demos.svg");
    -webkit-mask-repeat: no-repeat;
    mask-repeat: no-repeat;
    background-color: var(--dxbl-btn-color);
}

[b-3ncqqrb6ji] .footer-button:hover .demos-icon {
    background-color: var(--dxbl-btn-hover-color);
}

[b-3ncqqrb6ji] .footer-button:hover .docs-icon {
    background-color: var(--dxbl-btn-hover-color);
}

[b-3ncqqrb6ji] .footer {
    text-align: center;
    gap: 0.5rem;
    padding-bottom: 1.5rem;
}

    [b-3ncqqrb6ji] .footer .icon {
        margin-left: 0;
    }

#sidebar.auto-expanded[b-3ncqqrb6ji]  .layout-item {
    display: block;
}

#sidebar.auto-expanded[b-3ncqqrb6ji]  .footer {
    display: block;
}

@media (max-width: 768px) {
    #sidebar[b-3ncqqrb6ji] {
        min-width: inherit;
        max-width: inherit;
        display: block;
    }

        #sidebar .menu-closeonclick-placeholder[b-3ncqqrb6ji] {
            display: block;
        }

        #sidebar.auto-expanded[b-3ncqqrb6ji] {
            position: fixed;
            width: 100%;
            z-index: 3;
            display: block;
        }

            #sidebar.auto-expanded[b-3ncqqrb6ji]  .sidebar-header {
                border-bottom: 1px solid var(--bs-white);
            }

            #sidebar.auto-expanded .menu-button[b-3ncqqrb6ji] {
                background-image: url("images/close.svg");
                width: 1.875rem;
                height: 1.875rem;
            }

        #sidebar:not(.auto-expanded)[b-3ncqqrb6ji]  .dxbl-gridlayout-root {
            gap: unset !important;
        }

    .logo[b-3ncqqrb6ji] {
        text-align: inherit;
    }

    [b-3ncqqrb6ji] .menu-button-container {
        display: block;
    }

    [b-3ncqqrb6ji] .layout-item {
        display: none;
    }

    [b-3ncqqrb6ji] .footer {
        display: none;
    }
}
/* /Pages/AdminManagementPage.razor.rz.scp.css */
[b-u16ukmizva] .demo-drawer .dxbl-drawer-content {
    font-size: var(--dxbl-drawer-panel-font-size);
    line-height: var(--dxbl-drawer-panel-line-height);
    overflow: auto;
    padding: var(--dxbl-drawer-panel-padding-y) var(--dxbl-drawer-panel-padding-x);
}

[b-u16ukmizva] .demo-drawer:has(.demo-drawer-menu) {
    --dxbl-drawer-panel-body-padding-x: 1;
    --dxbl-drawer-panel-body-padding-y: 1;
}

[b-u16ukmizva] .dxbl-menu.demo-drawer-menu {
    --dxbl-menu-item-padding-x: 0.9375rem;
    --dxbl-menu-top-left-border-radius: 0;
    --dxbl-menu-top-right-border-radius: 0;
    --dxbl-menu-bottom-left-border-radius: 0;
    --dxbl-menu-bottom-right-border-radius: 0;
}

[b-u16ukmizva] .dxbl-sm .dxbl-menu.demo-drawer-menu {
    --dxbl-menu-item-padding-x: 0.8125rem;
}

[b-u16ukmizva] .dxbl-lg .dxbl-menu.demo-drawer-menu {
    --dxbl-menu-item-padding-x: 1.0625rem;
}

[b-u16ukmizva] .demo-drawer-mini .demo-drawer-mini-menu .dxbl-menu-item-text {
    visibility: hidden;
    transition: visibility linear var(--dxbl-drawer-animation-duration);
}
/* /Pages/Index.razor.rz.scp.css */
[b-mfklcbrcid] .welcome-gridlayout {
    margin: auto;
    width: auto;
    height: auto;
}

[b-mfklcbrcid] .welcome-gridlayout .dxbl-gridlayout-root {
    align-content: center;
    justify-content: center;
}

[b-mfklcbrcid] .title {
    text-align: center;
}

[b-mfklcbrcid] .welcome-cards {
    display: flex;
    flex-wrap: wrap;
    gap: 1.5rem;
    justify-content: center;
}

[b-mfklcbrcid] .welcome-card {
    width: 18.25rem;
    height: 11.5rem;
    display:flex;
    flex-direction:column;
    align-items: center;
    justify-content: center;
    box-shadow: 0px 4px 6px -1px rgba(0, 0, 0, 0.1), 0px 2px 4px -2px rgba(0, 0, 0, 0.1);
    transition: box-shadow 0.2s;
    border-radius: 1rem;
    color: var(--bs-link-color-rgb);
    gap: 1.0rem;
    text-decoration: none;
    position: relative;
    margin-bottom: 1.0rem;
    margin-left: 1.0rem;
}

    [b-mfklcbrcid] .welcome-card:hover {
        box-shadow: 0px 20px 25px -5px rgba(0, 0, 0, 0.1), 0px 8px 10px -6px rgba(0, 0, 0, 0.1);
    }

    [b-mfklcbrcid] .welcome-card .welcome-card-img {
        width: 5.5rem;
        height: 5.5rem;
    }

    [b-mfklcbrcid] .welcome-card .welcome-card-text {
        font-size: 1.65rem;
        font-weight: 600;
        letter-spacing: 0em;
        text-align: center;
        text-decoration: unset;
    }

    [b-mfklcbrcid] .icon-fill {
        fill: var(--bs-primary);
    }

    [b-mfklcbrcid] .welcome-card .welcome-card-back {
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background: var(--bs-body-color);
        opacity: 0.05;
        border-radius: 1rem;
        z-index: -2;
    }
